/** ----------------------------------------------------------------------------
 *                              CONTENTS
  Header
  Navigation
  Products Menu (in: Navigation)
  Body
  Comments
  Footer
 */


/** ----------------------------------------------------------------------------
 *                              Header
*/
$header-stack-width: 850px;

$phone-menu-width: 300px;

header.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0;
  & > * {
    padding: 0.5em 30px;
    flex: 1 1 auto;
  }
  .site-logo {
    display: block;
    width: 100%;
    max-width: 150px;

    @media only screen and (min-width: 680px) {
      width: auto;
    }

    a {
      color: inherit;
      text-decoration: none;
    }
    h1 {
      font-size: 3.5em;
      margin: 0;
      color: #fff;
      line-height: 1em;
      text-shadow: 1px 1px 3px rgba( black, 0.3);
    }
    img {
      margin: 13px 0;
      max-width: 100%;

      @media all and (min-width: 380px) {
        max-width: 150px;
        max-height: calc(100% - 26px);
      }
    }
  }

  nav.main-nav {
    .menu {
      margin: 0;
      display: block;
      @media all and (min-width: $w-regular) {
        display: inline-block;
        @include menu-horizontal;
      }
      @media all and (min-width: $w-regular) {
        height: 100%;
        float: right;
        display: flex;
        align-items: center;

        & > * {
          flex: 1;
        }
      }
    }
  }
}



/** ----------------------------------------
 *           // nav on small screen
*/
nav.main-nav {
  @media all and (max-width: $w-regular){
    position: absolute;
    padding-right: 0;
    margin-right: 0;
    top: 100px;
    right: 0;
    transition: width 0.5s ease;
    z-index: 15;
    width: 0;
    overflow-x: 0;
    overflow: hidden;
    padding-top: 5px;
    padding-bottom: 5px;
    background-color: $colour-dark-turquois;
    padding: 0;
      &.show {
        width: $phone-menu-width;
      }
    ul {
      width: $phone-menu-width;
      max-width: $phone-menu-width;
    }
    @media all and (max-width: 1000px) {
      height:  100vh;
      z-index: 10000;
    }
  }
  @media all and (max-width: 500px) {
    ul {
      margin: 0 auto !important;
      padding-top: 2em;
    }
    &.show {
      width: 100%;
    }
  }
}


/** ----------------------------------------
 *           // menu on small screen
*/

.hamburger {
  display: block;
  text-align: right;
  cursor: pointer;
  @media all and (min-width: $w-regular) {
    display: none;
  }
  .material-icons {
    font-size: 2.5em;
    font-weight: normal;
    @media all and (min-width: 300px) {
      font-size: 4em;

    }
  }
 p {
  display: none;
  margin: 0;
 }

 p.show {
  display: block;
  transition: opacity 300ms;
 }
}





/** ----------------------------------------------------------------------------
 *                              Footer
*/
footer {
  a {
    text-decoration: none;
  }
  .cols {
    padding: 2.5em 0;
    text-align: center;
    .border {
      display: block;
      justify-content: space-between;
      align-items: center;
      @media all and (min-width: 600px) {
        display: flex;
      }
      a {
        color: $colour-yellow;
      }
      &:after,
      &:before {
        content: '|';
        display: none;
        @media all and (min-width: 600px) {
          display: block;
        }
      }
    }
    a {
      font-weight: 300;
      font-size: 1.5em;
      color: $colour-text-body;
      @media all and (min-width: 600px) {
        font-size: 1.8em; 
      }
    }
  }
  .carousel-small {
    padding: 3em 0;
    p {
      margin: 0;
      text-align: center;
      text-transform: uppercase;
      font-size: 13px;
      font-weight: 300;
    }
    p:last-of-type {
      color: $colour-yellow;
      font-size: 1em;
    }
  }
  .social-media {
    img {
      width: 30px;
      height: 30px;
    }
    img:not(:first-child) {
      margin-left: 20px;
    }
  }
  .copyright {
    text-align: center;
    p {
      padding: 2em;
    }
  }
}
